/*
 * このソースコードは blanco Frameworkによって自動生成されています。
 * このクラスはblancoValueObjectにより自動生成されました。
 */
package blanco.sample.task.valueobject;

import java.math.BigDecimal;

/**
 * バッチ処理クラス [BlancoAntTaskSampleBatchProcess]の入力バリューオブジェクトクラスです。 BlancoResourceBundleのAntTaskです。
 */
public class BlancoAntTaskSampleBatchProcessInput {
    /**
     * フィールド [verbose]
     *
     * 項目の型 [boolean]<br>
     * 規定値   [false]<br>
     * verboseモードで動作させるかどうか。
     */
    private boolean fVerbose = false;

    /**
     * フィールド [attr1]
     *
     * 項目の型 [java.lang.String]<br>
     * 文字列（必須）
     */
    private String fAttr1;

    /**
     * フィールド [attr2]
     *
     * 項目の型 [java.lang.String]<br>
     * 規定値   [デフォルト]<br>
     * blanco:string
     */
    private String fAttr2 = "デフォルト";

    /**
     * フィールド [attr3]
     *
     * 項目の型 [int]<br>
     * 整数(int)(必須)
     */
    private int fAttr3;

    /**
     * フィールド [attr4]
     *
     * 項目の型 [int]<br>
     * 規定値   [10]<br>
     * blanco:int
     */
    private int fAttr4 = 10;

    /**
     * フィールド [attr5]
     *
     * 項目の型 [long]<br>
     * 整数(long)(必須)
     */
    private long fAttr5;

    /**
     * フィールド [attr6]
     *
     * 項目の型 [long]<br>
     * 規定値   [100]<br>
     * blanco:long
     */
    private long fAttr6 = 100;

    /**
     * フィールド [attr7]
     *
     * 項目の型 [java.math.BigDecimal]<br>
     * 整数(decimal)(必須)
     */
    private BigDecimal fAttr7;

    /**
     * フィールド [attr8]
     *
     * 項目の型 [java.math.BigDecimal]<br>
     * 規定値   [123.456]<br>
     * 整数(decimal)
     */
    private BigDecimal fAttr8 = new BigDecimal("123.456");

    /**
     * フィールド [attr9]
     *
     * 項目の型 [boolean]<br>
     * 真偽(必須)
     */
    private boolean fAttr9;

    /**
     * フィールド [attr10]
     *
     * 項目の型 [boolean]<br>
     * 規定値   [true]<br>
     * blanco:boolean
     */
    private boolean fAttr10 = true;

    /**
     * フィールド [verbose]のセッターメソッド
     *
     * 項目の型 [boolean]<br>
     * verboseモードで動作させるかどうか。
     *
     * @param argVerbose フィールド[verbose]に格納したい値
     */
    public void setVerbose(final boolean argVerbose) {
        fVerbose = argVerbose;
    }

    /**
     * フィールド[verbose]のゲッターメソッド
     *
     * 項目の型 [boolean]<br>
     * 規定値   [false]<br>
     * verboseモードで動作させるかどうか。
     *
     * @return フィールド[verbose]に格納されている値
     */
    public boolean getVerbose() {
        return fVerbose;
    }

    /**
     * フィールド [attr1]のセッターメソッド
     *
     * 項目の型 [java.lang.String]<br>
     * 文字列（必須）
     *
     * @param argAttr1 フィールド[attr1]に格納したい値
     */
    public void setAttr1(final String argAttr1) {
        fAttr1 = argAttr1;
    }

    /**
     * フィールド[attr1]のゲッターメソッド
     *
     * 項目の型 [java.lang.String]<br>
     * 文字列（必須）
     *
     * @return フィールド[attr1]に格納されている値
     */
    public String getAttr1() {
        return fAttr1;
    }

    /**
     * フィールド [attr2]のセッターメソッド
     *
     * 項目の型 [java.lang.String]<br>
     * blanco:string
     *
     * @param argAttr2 フィールド[attr2]に格納したい値
     */
    public void setAttr2(final String argAttr2) {
        fAttr2 = argAttr2;
    }

    /**
     * フィールド[attr2]のゲッターメソッド
     *
     * 項目の型 [java.lang.String]<br>
     * 規定値   [デフォルト]<br>
     * blanco:string
     *
     * @return フィールド[attr2]に格納されている値
     */
    public String getAttr2() {
        return fAttr2;
    }

    /**
     * フィールド [attr3]のセッターメソッド
     *
     * 項目の型 [int]<br>
     * 整数(int)(必須)
     *
     * @param argAttr3 フィールド[attr3]に格納したい値
     */
    public void setAttr3(final int argAttr3) {
        fAttr3 = argAttr3;
    }

    /**
     * フィールド[attr3]のゲッターメソッド
     *
     * 項目の型 [int]<br>
     * 整数(int)(必須)
     *
     * @return フィールド[attr3]に格納されている値
     */
    public int getAttr3() {
        return fAttr3;
    }

    /**
     * フィールド [attr4]のセッターメソッド
     *
     * 項目の型 [int]<br>
     * blanco:int
     *
     * @param argAttr4 フィールド[attr4]に格納したい値
     */
    public void setAttr4(final int argAttr4) {
        fAttr4 = argAttr4;
    }

    /**
     * フィールド[attr4]のゲッターメソッド
     *
     * 項目の型 [int]<br>
     * 規定値   [10]<br>
     * blanco:int
     *
     * @return フィールド[attr4]に格納されている値
     */
    public int getAttr4() {
        return fAttr4;
    }

    /**
     * フィールド [attr5]のセッターメソッド
     *
     * 項目の型 [long]<br>
     * 整数(long)(必須)
     *
     * @param argAttr5 フィールド[attr5]に格納したい値
     */
    public void setAttr5(final long argAttr5) {
        fAttr5 = argAttr5;
    }

    /**
     * フィールド[attr5]のゲッターメソッド
     *
     * 項目の型 [long]<br>
     * 整数(long)(必須)
     *
     * @return フィールド[attr5]に格納されている値
     */
    public long getAttr5() {
        return fAttr5;
    }

    /**
     * フィールド [attr6]のセッターメソッド
     *
     * 項目の型 [long]<br>
     * blanco:long
     *
     * @param argAttr6 フィールド[attr6]に格納したい値
     */
    public void setAttr6(final long argAttr6) {
        fAttr6 = argAttr6;
    }

    /**
     * フィールド[attr6]のゲッターメソッド
     *
     * 項目の型 [long]<br>
     * 規定値   [100]<br>
     * blanco:long
     *
     * @return フィールド[attr6]に格納されている値
     */
    public long getAttr6() {
        return fAttr6;
    }

    /**
     * フィールド [attr7]のセッターメソッド
     *
     * 項目の型 [java.math.BigDecimal]<br>
     * 整数(decimal)(必須)
     *
     * @param argAttr7 フィールド[attr7]に格納したい値
     */
    public void setAttr7(final BigDecimal argAttr7) {
        fAttr7 = argAttr7;
    }

    /**
     * フィールド[attr7]のゲッターメソッド
     *
     * 項目の型 [java.math.BigDecimal]<br>
     * 整数(decimal)(必須)
     *
     * @return フィールド[attr7]に格納されている値
     */
    public BigDecimal getAttr7() {
        return fAttr7;
    }

    /**
     * フィールド [attr8]のセッターメソッド
     *
     * 項目の型 [java.math.BigDecimal]<br>
     * 整数(decimal)
     *
     * @param argAttr8 フィールド[attr8]に格納したい値
     */
    public void setAttr8(final BigDecimal argAttr8) {
        fAttr8 = argAttr8;
    }

    /**
     * フィールド[attr8]のゲッターメソッド
     *
     * 項目の型 [java.math.BigDecimal]<br>
     * 規定値   [123.456]<br>
     * 整数(decimal)
     *
     * @return フィールド[attr8]に格納されている値
     */
    public BigDecimal getAttr8() {
        return fAttr8;
    }

    /**
     * フィールド [attr9]のセッターメソッド
     *
     * 項目の型 [boolean]<br>
     * 真偽(必須)
     *
     * @param argAttr9 フィールド[attr9]に格納したい値
     */
    public void setAttr9(final boolean argAttr9) {
        fAttr9 = argAttr9;
    }

    /**
     * フィールド[attr9]のゲッターメソッド
     *
     * 項目の型 [boolean]<br>
     * 真偽(必須)
     *
     * @return フィールド[attr9]に格納されている値
     */
    public boolean getAttr9() {
        return fAttr9;
    }

    /**
     * フィールド [attr10]のセッターメソッド
     *
     * 項目の型 [boolean]<br>
     * blanco:boolean
     *
     * @param argAttr10 フィールド[attr10]に格納したい値
     */
    public void setAttr10(final boolean argAttr10) {
        fAttr10 = argAttr10;
    }

    /**
     * フィールド[attr10]のゲッターメソッド
     *
     * 項目の型 [boolean]<br>
     * 規定値   [true]<br>
     * blanco:boolean
     *
     * @return フィールド[attr10]に格納されている値
     */
    public boolean getAttr10() {
        return fAttr10;
    }

    /**
     * このバリューオブジェクトの文字列表現を取得します。
     *
     * オブジェクトのシャロー範囲でしかtoStringされない点に注意して利用してください。
     *
     * @return バリューオブジェクトの文字列表現。
     */
    public String toString() {
        final StringBuffer buf = new StringBuffer();
        buf.append("blanco.sample.task.valueobject.BlancoAntTaskSampleBatchProcessInput[");
        buf.append("verbose=" + fVerbose);
        buf.append(",attr1=" + fAttr1);
        buf.append(",attr2=" + fAttr2);
        buf.append(",attr3=" + fAttr3);
        buf.append(",attr4=" + fAttr4);
        buf.append(",attr5=" + fAttr5);
        buf.append(",attr6=" + fAttr6);
        buf.append(",attr7=" + fAttr7);
        buf.append(",attr8=" + fAttr8);
        buf.append(",attr9=" + fAttr9);
        buf.append(",attr10=" + fAttr10);
        buf.append("]");
        return buf.toString();
    }
}
